Groovy 1.7.0

## org.codehaus.groovy.runtime.dgmimpl
Class NumberNumberMinus

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.NumberNumberMinus

    class NumberNumberMinus
    extends NumberNumberMetaMethod

Nested Class Summary
`class` | `NumberNumberMinus.DoubleDouble`
`class` | `NumberNumberMinus.DoubleFloat`
`class` | `NumberNumberMinus.DoubleInteger`
`class` | `NumberNumberMinus.DoubleLong`
`class` | `NumberNumberMinus.FloatDouble`
`class` | `NumberNumberMinus.FloatFloat`
`class` | `NumberNumberMinus.FloatInteger`
`class` | `NumberNumberMinus.FloatLong`
`class` | `NumberNumberMinus.IntegerDouble`
`class` | `NumberNumberMinus.IntegerFloat`
`class` | `NumberNumberMinus.IntegerInteger`
`class` | `NumberNumberMinus.IntegerLong`
`class` | `NumberNumberMinus.LongDouble`
`class` | `NumberNumberMinus.LongFloat`
`class` | `NumberNumberMinus.LongInteger`
`class` | `NumberNumberMinus.LongLong`
`class` | `NumberNumberMinus.NumberNumber`

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`NumberNumberMinus()`

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`String` | `getName()`
`Object` | `invoke(Object object, Object[] arguments)`
`static Number` | `minus(Number left, Number right)` Substraction of two Numbers.

Methods inherited from class NumberNumberMetaMethod
getDeclaringClass, getModifiers, getReturnType

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NumberNumberMinus

    NumberNumberMinus()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

### getName

    public String getName()

### invoke

    public Object invoke(Object object, Object[] arguments)

### minus

    public static Number minus(Number left, Number right)

  Substraction of two Numbers.
  param:
    left a Number
  param:
    right another Number to substract to the first one
  return:
    the substraction

Copyright © 2003-2009 The Codehaus. All rights reserved.